# TiDLer

*Tidal music downloader based on the hifi-tui API*

### Based on [hifi-tui](https://github.com/sachinsenal0x64/Hifi-Tui)

## Requirements
- `bash`, `curl`, `jq`, `awk`, `flac`

## TODO
- Create install scripts/guides (WIP)
- Migrate from Bash to a POSIX-compliant shell
- Add Cover, and other metadata to vorbis tag (Almost done)
- Lyrics download (Almost done)
- Implement search & download for playlists, albums, and artists (WIP)
- Support downloading multiple search results
- Allow users to choose audio quality (currently defaults to LOSSLESS)
- Add a configuration file (Done)
- Add default save directory (Done)
- Error handling (WIP)

## Using
- Download repository:
```
git clone https://git.medvidek77.tech/Medvidek77/tidler.git && cd tidler
```

- (Optional) use unstable version:
```
git checkout dev
```

- Run:
```
src/tidler
```

- Enjoy! :)
